*TODO: For each release, copy this file and fill in answers to the
questions. In cases where multiple answers are already written, delete
those answers that do not apply.*

##### Project

::[PROJECT-NAME](Home)

##### Internal Release Number

::X.Y.Z

##### External release number

::X.Y.Z

##### Release audience

- ::General availability release
- ::Customer-specific release: CUSTOMER(S)
- ::Developer release (Internal usage only)
- ::Early access release (Controlled external access)

---

**Process impact:** The process of working through this checklist helps
uncover any remaining concerns before the release, and reminds internal
stakeholders of their upcoming responsibilities. Once this checklist has
been satisfied, this release may be sent to manufacturing and sold to
customers with the full support of the organization.

*TODO: Discuss each item with the relevant stakeholders and update its
status. Add comments as needed to record important decisions or link to
resulting documents. Add new items as needed for your particular project
or process. Any uncovered problems or tasks should be tracked in the
issue tracker.*

### Marketing / Product Management

| Item                                                                     | Status  | Comments |
|--------------------------------------------------------------------------|---------|----------|
| ::All new requirements for this release have been tracked                | Pending |          |
| ::All prior defects needing resolution in this release have been tracked | Pending |          |
| ::All marketing documents have been updated                              | Pending |          |
| ::Marketing / Product Management is satisfied with this release          | Pending |          |

### Development

| Item                                                   | Status  | Comments |
|--------------------------------------------------------|---------|----------|
| ::All needed design work has been completed            | Pending |          |
| ::All needed design work has been reviewed             | Pending |          |
| ::All development work has been completed              | Pending |          |
| ::All development work has been reviewed               | Pending |          |
| ::All defects assigned to this release have been fixed | Pending |          |
| ::All development documentation has been updated       | Pending |          |
| ::All unit test code has been updated                  | Pending |          |
| ::The development team is satisfied with this release  | Pending |          |

### Quality Assurance {#quality-assurance}

| Item                                            | Status  | Comments |
|-------------------------------------------------|---------|----------|
| ::The QA plan and test cases have been updated  | Pending |          |
| ::The QA plan has been completely carried out   | Pending |          |
| ::All discovered defects have been tracked      | Pending |          |
| ::All fixed defects have been verified as fixed | Pending |          |
| ::The QA team is satisfied with this release    | Pending |          |

### Release Engineering / Configuration Management

| Item                                                                                                                 | Status  | Comments |
|----------------------------------------------------------------------------------------------------------------------|---------|----------|
| ::All components have been properly tagged for release, and the release configuration is clearly defined             | Pending |          |
| ::Change-control practices have been followed, meaning that the released product does not contain unapproved changes | Pending |          |
| ::The RelEng team is satisfied with this release                                                                     | Pending |          |

### User Experience

| Item                                                      | Status  | Comments |
|-----------------------------------------------------------|---------|----------|
| ::Any new or changed functionality is deemed usable       | Pending |          |
| ::On-line and printed user documentation has been updated | Pending |          |
| ::The UE team is satisfied with this release              | Pending |          |

### Technical Support / Operations

| Item                                                                                                         | Status  | Comments |
|--------------------------------------------------------------------------------------------------------------|---------|----------|
| ::Theory of operations document has been updated                                                             | Pending |          |
| ::Tech support / Operations has successfully installed, upgraded, and used this release                      | Pending |          |
| ::Any "Early access" or "Beta" program was conducted successfully and all resulting issues have been tracked | Pending |          |
| ::The impact of any changes on operations offerings has been identified and tracked                          | Pending |          |
| ::Troubleshooting guide has been updated                                                                     | Pending |          |
| ::The tech support / operations teams are satisfied with this release                                        | Pending |          |

### Services / Training

| Item                                                                             | Status  | Comments |
|----------------------------------------------------------------------------------|---------|----------|
| ::Services / Training has had access to this release                             | Pending |          |
| ::The impact of any changes on service offerings has been identified and tracked | Pending |          |
| ::Training materials have been updated                                           | Pending |          |
| ::Services / Training is satisfied with this release                             | Pending |          |

### Legal

| Item                                                                          | Status  | Comments |
|-------------------------------------------------------------------------------|---------|----------|
| ::Legal risks associated with this release have been identified and tracked   | Pending |          |
| ::We hold proper licenses for all reused components and intellectual property | Pending |          |
| ::We conform to all relevant laws and regulations (e.g., export, safety)      | Pending |          |
| ::The legal team is satisfied with this release                               | Pending |          |

#### Possible status values

- Pending: Work still needs to be done
- N/A: This item cannot logically apply
- Waived: This item could apply, but the stakeholders deem it
  unimportant
- Done: The stakeholders agree that the item has been satisfied
- Failed: This item has forced us to abandon this release

*TIP: If a stakeholder hits difficulties with this release after it goes
out, add those issues to the checklist template so that everyone knows
that they will be explicitly managed on the next release. Conduct a
postmortem review to help expose difficulties rather than repeat them.*

*TIP: You might consider some of the following additional stakeholders at
your organization: Other engineering groups (i.e., hardware design),
Manufacturing and Shipping, Software Process Improvement, Key customers
and partners, External developers, Risk Management, Business
Development, and Upper Management.*
